API Direct
Endpoints
Twitter Verified Followers

Twitter Verified Followers

GET /v1/twitter/user/verified-followers
Documentation

Get the verified (blue checkmark) followers of a specific Twitter/X user. Only returns followers who have a verified account. Supports pagination.

Cost
$0.006 per page
Free tier
50 requests/month

Parameters

username *
Twitter username (without @, max 50 characters)
pages
Number of pages to fetch, 1-10 (default: 1)

Example Request

curl "https://apidirect.io/v1/twitter/user/verified-followers?username=elonmusk&pages=1" \
  -H "X-API-Key: YOUR_API_KEY"

Example Response

{
  "verified_followers": [
    {
      "username": "verified_user",
      "name": "Verified User",
      "user_id": "987654321",
      "description": "Tech CEO",
      "followers_count": 500000,
      "following_count": 300,
      "tweet_count": 10000,
      "verified": true,
      "profile_image_url": "https://pbs.twimg.com/profile_images/.../photo.jpg",
      "created_at": "2018-06-10 14:00:00",
      "url": "https://twitter.com/verified_user"
    }
  ],
  "username": "elonmusk",
  "pages": 1,
  "count": 20
}

Your Usage

Free tier this month
Loading...
Recent Activity